## language-installer 0.1-0netbook1

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2004-2008 Rodney Dawes <dobey.pwns@gmail.com>
#
# This file may be copied and used freely without restrictions.  It may
# be used in projects which are not available under a GNU Public License,
# but which still want to provide support for the GNU gettext functionality.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize
#
# - Modified by Rodney Dawes <dobey.pwns@gmail.com> for use with intltool
#
# We have the following line for use by intltoolize:
# INTLTOOL_MAKEFILE

GETTEXT_PACKAGE = language-installer
PACKAGE = language-installer
VERSION = 1.0

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = ${datarootdir}
datarootdir = ${prefix}/share
libdir = ${exec_prefix}/lib
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale
subdir = po
install_sh = $(SHELL) /home/knitzsche/src/l-i-4/language-installer/install-sh
# Automake >= 1.8 provides /bin/mkdir -p.
# Until it can be supposed, use the safe fallback:
mkdir_p = $(install_sh) -d

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
INTLTOOL_UPDATE = $(top_builddir)/intltool-update
INTLTOOL_EXTRACT = $(top_builddir)/intltool-extract
MSGMERGE = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --dist
GENPOT   = INTLTOOL_EXTRACT=$(INTLTOOL_EXTRACT) srcdir=$(srcdir) $(INTLTOOL_UPDATE) --gettext-package $(GETTEXT_PACKAGE) --pot

ALL_LINGUAS = 

PO_LINGUAS=$(shell if test -r $(srcdir)/LINGUAS; then grep -v "^\#" $(srcdir)/LINGUAS; fi)

USER_LINGUAS=$(shell if test -n "$(LINGUAS)"; then LLINGUAS="$(LINGUAS)"; ALINGUAS="$(ALL_LINGUAS)"; for lang in $$LLINGUAS; do if test -n "`grep ^$$lang$$ $(srcdir)/LINGUAS`" -o -n "`echo $$ALINGUAS|grep ' ?$$lang ?'`"; then printf "$$lang "; fi; done; fi)

USE_LINGUAS=$(shell if test -n "$(USER_LINGUAS)"; then LLINGUAS="$(USER_LINGUAS)"; else if test -n "$(PO_LINGUAS)"; then LLINGUAS="$(PO_LINGUAS)"; else LLINGUAS="$(ALL_LINGUAS)"; fi; fi; for lang in $$LLINGUAS; do printf "$$lang "; done)

POFILES=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(POFILES)
EXTRA_DISTFILES = POTFILES.skip Makevars LINGUAS

POTFILES = \
	../language-installer.in \
	../ui/language-installer.glade
# This comment gets stripped out

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .pox .gmo .mo .msg .cat

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && gencat $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(GENPOT)

install: install-data
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	$(mkdir_p) $(DESTDIR)$(itlocaledir)
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $(srcdir)/$$lang.gmo as" \
		 "$$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	  if test -r $$lang.gmo.m; then \
	    $(INSTALL_DATA) $$lang.gmo.m $$dir/$(GETTEXT_PACKAGE).mo.m; \
	    echo "installing $$lang.gmo.m as $$dir/$(GETTEXT_PACKAGE).mo.m"; \
	  else \
	    if test -r $(srcdir)/$$lang.gmo.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$lang.gmo.m \
		$$dir/$(GETTEXT_PACKAGE).mo.m; \
	      echo "installing $(srcdir)/$$lang.gmo.m as" \
		   "$$dir/$(GETTEXT_PACKAGE).mo.m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done

# Empty stubs to satisfy archaic automake needs
dvi info tags TAGS ID:

# Define this as empty until I found a useful application.
install-exec installcheck:

uninstall:
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo; \
	  rm -f $(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE).mo.m; \
	done

check: all $(GETTEXT_PACKAGE).pot
	rm -f missing notexist
	srcdir=$(srcdir) $(INTLTOOL_UPDATE) -m
	if [ -r missing -o -r notexist ]; then \
	  exit 1; \
	fi

mostlyclean:
	rm -f *.pox $(GETTEXT_PACKAGE).pot *.old.po cat-id-tbl.tmp
	rm -f .intltool-merge-cache

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES stamp-it
	rm -f *.mo *.msg *.cat *.cat.m *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f Makefile.in.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: $(DISTFILES)
	dists="$(DISTFILES)"; \
	extra_dists="$(EXTRA_DISTFILES)"; \
	for file in $$extra_dists; do \
	  test -f $(srcdir)/$$file && dists="$$dists $(srcdir)/$$file"; \
	done; \
	for file in $$dists; do \
	  test -f $$file || file="$(srcdir)/$$file"; \
	  ln $$file $(distdir) 2> /dev/null \
	    || cp -p $$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  result="`$(MSGMERGE) -o $$tmpdir/$$lang.new.po $$lang`"; \
	  if $$result; then \
	    if cmp $(srcdir)/$$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$lang.gmo failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

Makefile POTFILES: stamp-it
	@if test ! -f $@; then \
	  rm -f stamp-it; \
	  $(MAKE) stamp-it; \
	fi

stamp-it: Makefile.in.in $(top_builddir)/config.status POTFILES.in
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/Makefile.in CONFIG_HEADERS= CONFIG_LINKS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
# Special Makefile rules for English message catalogs with quotation marks.

DISTFILES.common.extra1 = quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot

.SUFFIXES: .insert-header .po-update-en

en@quot.po-create:
	$(MAKE) en@quot.po-update
en@boldquot.po-create:
	$(MAKE) en@boldquot.po-update

en@quot.po-update: en@quot.po-update-en
en@boldquot.po-update: en@boldquot.po-update-en

.insert-header.po-update-en:
	@lang=`echo $@ | sed -e 's/\.po-update-en$$//'`; \
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; GETTEXTLIBDIR=`cd $(top_srcdir)/src && pwd`; export GETTEXTLIBDIR; fi; \
	tmpdir=`pwd`; \
	echo "$$lang:"; \
	ll=`echo $$lang | sed -e 's/@.*//'`; \
	LC_ALL=C; export LC_ALL; \
	cd $(srcdir); \
	if $(MSGINIT) -i $(DOMAIN).pot --no-translator -l $$ll -o - 2>/dev/null | sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | sed -e 's/.*@//'`.sed 2>/dev/null > $$tmpdir/$$lang.new.po; then \
	  if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	    rm -f $$tmpdir/$$lang.new.po; \
	  else \
	    if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	      :; \
	    else \
	      echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	      exit 1; \
	    fi; \
	  fi; \
	else \
	  echo "creation of $$lang.po failed!" 1>&2; \
	  rm -f $$tmpdir/$$lang.new.po; \
	fi

en@quot.insert-header: insert-header.sin
	sed -e '/^#/d' -e 's/HEADER/en@quot.header/g' $(srcdir)/insert-header.sin > en@quot.insert-header

en@boldquot.insert-header: insert-header.sin
	sed -e '/^#/d' -e 's/HEADER/en@boldquot.header/g' $(srcdir)/insert-header.sin > en@boldquot.insert-header

mostlyclean: mostlyclean-quot
mostlyclean-quot:
	rm -f *.insert-header

=== debian/changelog ===
language-installer (0.1-0netbook1) hardy; urgency=low

  * Init.

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 11 Aug 2008 13:12:11 +0000

## language-installer 0.1-0netbook3

=== debian/changelog ===
language-installer (0.1-0netbook3) hardy; urgency=low

  * Added idle_add to lanch package install script

 -- Michael Frey <michael.frey@canonical.com>  Tue, 12 Aug 2008 14:35:23 -0400

language-installer (0.1-0netbook2) hardy; urgency=low

  * Initiate script call with connect_after map-event
  * Center window and remove decorations

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 12 Aug 2008 13:48:04 -0400

## language-installer 0.1-0netbook4

=== debian/changelog ===
language-installer (0.1-0netbook4) hardy; urgency=low

  * Change window decarations

 -- Michael Frey <michael.frey@canonical.com>  Tue, 12 Aug 2008 14:59:32 -0400

## language-installer 0.1-0netbook5

=== debian/changelog ===
language-installer (0.1-0netbook5) hardy; urgency=low

  * Fix script name to call for package install

 -- Michael Frey <michael.frey@canonical.com>  Tue, 12 Aug 2008 20:00:11 -0400

=== debian/control ===
Source: language-installer
Section: unknown
Priority: extra
Maintainer: Kyle Nitzsche <kyle.nitzsche@canonical.com>
Build-Depends: cdbs, debhelper (>= 5), python-dev
Standards-Version: 3.7.2

Package: language-installer
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2, python-glade2
Description: Install languages from on-board debs

=== debian/rules ===
#!/usr/bin/make -f 
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk 

binary-install/aircraft-manager::
	./setup.py install --prefix=$(CURDIR)/debian/language-installer/usr

## language-installer 0.1-0netbook6

=== debian/changelog ===
language-installer (0.1-0netbook6) hardy; urgency=low

  * Fix typo in glade file

 -- Michael Frey <michael.frey@canonical.com>  Wed, 13 Aug 2008 10:07:48 -0400

## language-installer 0.1-0netbook7

=== debian/changelog ===
language-installer (0.1-0netbook7) hardy; urgency=low

  * Update po files with translations
  * Remove height and width for window so label doesn't crop
  * Add 200 height request for label so window is tall

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 13 Aug 2008 11:21:15 -0400

## language-installer 0.1-0netbook8

=== po/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 DATADIRNAME = share
 itlocaledir = $(prefix)/$(DATADIRNAME)/locale
 subdir = po
-install_sh = $(SHELL) /home/knitzsche/src/l-i-4/language-installer/install-sh
+install_sh = $(SHELL) /root/src/l-i-8-18-C/language-installer/install-sh
 # Automake >= 1.8 provides /bin/mkdir -p.
 # Until it can be supposed, use the safe fallback:
 mkdir_p = $(install_sh) -d

=== debian/changelog ===
language-installer (0.1-0netbook8) hardy; urgency=low

  * Add install-langs in this package where it belongs (was in oem-config as
    oem-config-installlangs).
  * Backport Belmont-line changes to netbook
  * Drop postinst locale-gen work (not needed)

 -- Michael Terry <michael.terry@canonical.com>  Tue, 26 Aug 2008 15:16:48 -0400

language-installer (0.1-0netbook7belmont4) hardy; urgency=low

  * Adding the postinst file to pkg via bzr

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 18 Aug 2008 19:15:26 +0000

language-installer (0.1-0netbook7belmont3) hardy; urgency=low

  * Use wrapper script that pulls in latest LANG variable before calling
    language-installer proper

 -- Michael Terry <michael.terry@canonical.com>  Mon, 18 Aug 2008 14:43:05 -0400

language-installer (0.1-0netbook7belmont2) hardy; urgency=low

  * Modify previous change to generate all locales for each language, instead
    of specifying and generating a particular region for each language

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 18 Aug 2008 18:17:36 +0000

language-installer (0.1-0netbook7belmont1) hardy; urgency=low

  * Add postinst that generates locales. Needed because locale generation was
    part of oem-config but was removed.  

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 18 Aug 2008 17:31:41 +0000

=== debian/rules ===
#!/usr/bin/make -f 
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

## language-installer 0.1-0netbook9

=== debian/changelog ===
language-installer (0.1-0netbook9) hardy; urgency=low

  * If user selected English in oem-config. GUI does not display. Instead
    /archive is deleted with 'rm -rf /archive'
  * Else if user selects a language XX that has no deb (language-pack-gnome-XX_)
    in /archive/, the GUI displays but with a message saying to use
    Language Support later to fully install the language. User
    closes with 'OK' button. /archive is deleted with 'rm -rf /archive'
  * Else, GUI displays with 'wait while we install' message as before and lang
    install plus /archive cleanup handled by script as before
  * Fixed POTFILES.in (replaced langauge-installer.in with
    language-installer.py.in)
  * Updated po files to pick up new string for translation.

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 03 Sep 2008 13:34:22 -0400

## language-installer 0.1-0netbook10

=== po/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 DATADIRNAME = share
 itlocaledir = $(prefix)/$(DATADIRNAME)/locale
 subdir = po
-install_sh = $(SHELL) /root/src/l-i-8-18-C/language-installer/install-sh
+install_sh = $(SHELL) /root/src/l-i-8-29/language-installer/install-sh
 # Automake >= 1.8 provides /bin/mkdir -p.
 # Until it can be supposed, use the safe fallback:
 mkdir_p = $(install_sh) -d
@@ -66,7 +66,7 @@
 EXTRA_DISTFILES = POTFILES.skip Makevars LINGUAS
 
 POTFILES = \
-	../language-installer.in \
+	../language-installer.py.in \
 	../ui/language-installer.glade
 # This comment gets stripped out

=== debian/changelog ===
language-installer (0.1-0netbook10) hardy; urgency=low

  * Install localized version of adobereader if one is available.

 -- Michael Terry <michael.terry@canonical.com>  Fri, 05 Sep 2008 10:39:17 -0400

## language-installer 0.1-0netbook11

=== debian/changelog ===
language-installer (0.1-0netbook11) hardy; urgency=low

  * Removed code that rm -rf /archive, since this is handled by install-lang script
  * Removed code that runs install-lang only on condition that lang debs are in /archive.
    This script should always be run, even when user picks English (which is always
    installed) or a lang for which there are no debs in/archive because it replaces
    temp sources.list with real one and deletes /archive
  * Improved GTK layout
  * Updated po files to add new string

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 05 Sep 2008 11:06:58 -0400

## language-installer 0.1-0netbook12

=== po/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 DATADIRNAME = share
 itlocaledir = $(prefix)/$(DATADIRNAME)/locale
 subdir = po
-install_sh = $(SHELL) /root/src/l-i-8-29/language-installer/install-sh
+install_sh = $(SHELL) /home/knitzsche/src/l-i-9-4/language-installer/install-sh
 # Automake >= 1.8 provides /bin/mkdir -p.
 # Until it can be supposed, use the safe fallback:
 mkdir_p = $(install_sh) -d

=== debian/changelog ===
language-installer (0.1-0netbook12) hardy; urgency=low

  * Show please wait text while install-lang is running, even if we don't
    support the language (it may still take some time while we install
    adobereader-enu).  Then switch to OK button and 'install stuff later'
    text.

 -- Michael Terry <michael.terry@canonical.com>  Mon, 08 Sep 2008 13:55:09 -0400

## language-installer 0.1-0netbook13

=== debian/changelog ===
language-installer (0.1-0netbook13) hardy; urgency=low

  * Show 'please wait' text even if installing English, if adobereader has
    to be installed.

 -- Michael Terry <michael.terry@canonical.com>  Tue, 09 Sep 2008 08:47:57 -0400

## language-installer 0.1-0netbook14

=== debian/changelog ===
language-installer (0.1-0netbook14) hardy; urgency=low

  * install-langs:
    - Add a few Adobe languages that fall back to Spanish

 -- Michael Terry <michael.terry@canonical.com>  Fri, 12 Sep 2008 14:37:21 -0400

## language-installer 0.1-0netbook15

=== debian/changelog ===
language-installer (0.1-0netbook15) hardy; urgency=low

  * Updated 27 pos with completed translations: ar ca cs da de el es eu 
    fi fr gl he hu it ja ko nl no pl pt_BR ro ru sl sv tr zh_CN zh_TW"

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 16 Sep 2008 09:27:32 -0400

## language-installer 0.1-0netbook16

=== po/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 DATADIRNAME = share
 itlocaledir = $(prefix)/$(DATADIRNAME)/locale
 subdir = po
-install_sh = $(SHELL) /home/knitzsche/src/l-i-9-4/language-installer/install-sh
+install_sh = $(SHELL) /home/knitzsche/src/PaysonPos/phase2/phase2-delivery-to-build/apps/language-installer/language-installer/install-sh
 # Automake >= 1.8 provides /bin/mkdir -p.
 # Until it can be supposed, use the safe fallback:
 mkdir_p = $(install_sh) -d

=== debian/changelog ===
language-installer (0.1-0netbook16) hardy; urgency=low

  * install-langs:
    - Set up an apt-tree inside a temporary directory, rather than using
      system sources.list.  This way we don't mess with the system list or
      cache.  (LP: #267457)

 -- Michael Terry <michael.terry@canonical.com>  Tue, 16 Sep 2008 14:23:48 -0400

## language-installer 0.1-0netbook17

=== debian/changelog ===
language-installer (0.1-0netbook17) hardy; urgency=low

  * Fix de.po typo per bug 263403. 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 18 Sep 2008 09:17:17 -0400

## language-installer 0.1-0netbook18

=== debian/changelog ===
language-installer (0.1-0netbook18) hardy; urgency=low

  * Rename po/no.po to po/nb.po, since 'no' for Norwegian is ambiguous and
    deprecated and comparison of the new oem-config translations confirms
    that they're Norwegian Bokmaal (not Nynorsk).  LP: #299622.
  * The language code for Slovak is sk, not sl; move stuff around in
    preparation for an updated Slovak translation.  Partially addresses
    #299625.

 -- Steve Langasek <steve.langasek@canonical.com>  Thu, 20 Nov 2008 15:33:38 -0500

## language-installer 0.1-0netbook19

=== debian/changelog ===
language-installer (0.1-0netbook19) hardy; urgency=low

  * Incorporate updated Slovak translations.  LP: #299625.

 -- Steve Langasek <steve.langasek@canonical.com>  Fri, 21 Nov 2008 15:14:08 -0500

## language-installer 0.1-0netbook20

=== po/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 DATADIRNAME = share
 itlocaledir = $(prefix)/$(DATADIRNAME)/locale
 subdir = po
-install_sh = $(SHELL) /home/knitzsche/src/PaysonPos/phase2/phase2-delivery-to-build/apps/language-installer/language-installer/install-sh
+install_sh = $(SHELL) /home/knitzsche/src/PaysonPos/phase2/phase2-delivery-to-build/apps/l-i-bug263403/language-installer/install-sh
 # Automake >= 1.8 provides /bin/mkdir -p.
 # Until it can be supposed, use the safe fallback:
 mkdir_p = $(install_sh) -d

=== debian/changelog ===
language-installer (0.1-0netbook20) hardy; urgency=low

  * install-langs:
    - Allow running hook scripts after we're done installing

 -- Michael Terry <michael.terry@canonical.com>  Tue, 02 Dec 2008 16:24:43 -0500

## language-installer 0.1-0netbook21

=== debian/changelog ===
language-installer (0.1-0netbook21) hardy; urgency=low

  * ui/language-installer.glade:
    - Don't have side labels expand to consume as much space as
      possible.  This fixes LP: #324883

 -- Michael Terry <michael.terry@canonical.com>  Wed, 04 Feb 2009 16:53:37 -0500

## language-installer 0.1-0netbook22

=== debian/changelog ===
language-installer (0.1-0netbook22) hardy; urgency=low

  * Reverting the previous change because it makes German, Russian and Korean
    text not display at all. With this reversion, all languages display.

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 05 Feb 2009 17:52:54 -0500

## language-installer 0.1-0netbook23

=== debian/changelog ===
language-installer (0.1-0netbook23) hardy; urgency=low

  * ui/language-installer.glade, language-installer.py.in:
    - Go back to netbook21 fix for the 'fragmented text' fix
    - Fix race condition exposed by above fix that caused label
      not to be visible for some languages.  Instead of listening
      for 'map' signal, we should be listening for 'show' signal
      and starting with the label visible.  LP: #325919

 -- Michael Terry <michael.terry@canonical.com>  Fri, 06 Feb 2009 09:22:59 -0500

## language-installer 0.1-0netbook24

=== debian/changelog ===
language-installer (0.1-0netbook24) hardy; urgency=low

  * ui/language-installer.glade:
    - Finish unreverting change for 'fragmented fix'

 -- Michael Terry <michael.terry@canonical.com>  Fri, 06 Feb 2009 09:41:48 -0500

## language-installer 0.1-0netbook25

=== debian/changelog ===
language-installer (0.1-0netbook25) hardy; urgency=low

  * language-installer.py.in:
    - Key off of 'map-event' again, not 'show'.  Show doesn't fire as
      thought.  Add a delay of a second too, just to make sure gtk
      has enough time to show everything.

 -- Michael Terry <michael.terry@canonical.com>  Fri, 06 Feb 2009 15:28:58 -0500

## language-installer 27

=== debian/changelog ===
language-installer (27) netbook-common; urgency=low

  * install-langs-setup, install-langs, language-installer.py.in:
    - Split install-langs into two steps, a setup step and an install
      step.  This lets us first check out what needs to be and can be
      installed.
    - Add a new hook directory 'pkg-hooks' which allows adding new
      packages to the list of packages to be installed.
    - Reduce complexity around whether we should show the dialog or
      not.  Now we just have a list of packages we want to install,
      and if any of them need to be and can be installed, we show the
      dialog.  English is no longer a special case.

 -- Michael Terry <michael.terry@canonical.com>  Fri, 03 Apr 2009 14:46:52 -0400

language-installer (26) hardy; urgency=low

  * Update version scheme to use straight numbers, rather than
    netbook suffixes.  We are upstream for this.
  * language-installer.py.in:
    - Call install-langs asynchronously (this solves race conditions
      we've seen with showing the dialog and kicking off the install)
    - Don't key off a 'map-event' event, just always kick off install.
      Now that we are asynchronous, we don't need to wait.
    - Add wait cursor
    - Add window icon
    - Use same code path whether we are showing dialog or not
    - Support LANG values without country (like Esperanto)
  * ui/language-installer.glade:
    - Clean up glade file
    - Set OK button to be translatable, don't use stock.  This way,
      the user will see it in his/her own language.  If we use stock,
      it will only be translated if the language pack is installed.
      But user only sees button if it *isn't*.

 -- Michael Terry <michael.terry@canonical.com>  Mon, 09 Feb 2009 15:17:33 -0500

## language-installer 30

=== debian/changelog ===
language-installer (30) netbook-jaunty; urgency=low

  * Fix distribution, should be 'netbook-jaunty'

 -- Steve Magoun <steve.magoun@canonical.com>  Mon, 22 Jun 2009 17:31:34 -0400

language-installer (29) jaunty; urgency=low

  * debian/control: Change section to 'admin', add Vcs-Browser and Vcs-Bzr

 -- Steve Magoun <steve.magoun@canonical.com>  Mon, 22 Jun 2009 16:59:07 -0400

language-installer (28) netbook-jaunty; urgency=low

  * No-change rebuild for Jaunty

 -- Steve Magoun <steve.magoun@canonical.com>  Mon, 22 Jun 2009 15:15:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: language-installer
-Section: unknown
+Section: admin
 Priority: extra
 Maintainer: Kyle Nitzsche <kyle.nitzsche@canonical.com>
 Build-Depends: cdbs, debhelper (>= 5), python-dev
 Standards-Version: 3.7.2
+Vcs-Browser: http://bazaar.launchpad.net/~oem-solutions-group/oem-netbook/language-installer
+Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~oem-solutions-group/oem-netbook/language-installer
 
 Package: language-installer
 Architecture: all

## language-installer 33keremeos1

=== Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






pkgdatadir = $(datadir)/language-installer
pkgincludedir = $(includedir)/language-installer
pkglibdir = $(libdir)/language-installer
pkglibexecdir = $(libexecdir)/language-installer
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
bin_PROGRAMS = $(am__EXEEXT_2)
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure ABOUT-NLS \
	config.guess config.rpath config.sub depcomp install-sh \
	missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 = language-installer.py$(EXEEXT)
am__EXEEXT_2 = $(am__EXEEXT_1)
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(pkghookdir)" "$(DESTDIR)$(sbindir)" \
	"$(DESTDIR)$(uidir)"
PROGRAMS = $(bin_PROGRAMS)
language_installer_py_SOURCES = language-installer.c
language_installer_py_OBJECTS = language-installer.$(OBJEXT)
language_installer_py_LDADD = $(LDADD)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
SCRIPTS = $(bin_SCRIPTS) $(pkghook_SCRIPTS) $(sbin_SCRIPTS)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = language-installer.c
DIST_SOURCES = language-installer.c
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
DATA = $(ui_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/mike/Projects/netbook-karmic/language-installer/missing --run aclocal-1.11
ALL_LINGUAS = 
AMTAR = ${SHELL} /home/mike/Projects/netbook-karmic/language-installer/missing --run tar
AUTOCONF = ${SHELL} /home/mike/Projects/netbook-karmic/language-installer/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mike/Projects/netbook-karmic/language-installer/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mike/Projects/netbook-karmic/language-installer/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"language-installer\" -DVERSION=\"1.0\" -DGETTEXT_PACKAGE=\"language-installer\" -DENABLE_NLS=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EXEEXT = 
GETTEXT_MACRO_VERSION = 0.17
GETTEXT_PACKAGE = language-installer
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTL_MACOSX_LIBS = 
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = 
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/mike/Projects/netbook-karmic/language-installer/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJEXT = o
PACKAGE = language-installer
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_URL = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
POSUB = po
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.6
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
USE_NLS = yes
VERSION = 1.0
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
abs_builddir = /home/mike/Projects/netbook-karmic/language-installer
abs_srcdir = /home/mike/Projects/netbook-karmic/language-installer
abs_top_builddir = /home/mike/Projects/netbook-karmic/language-installer
abs_top_srcdir = /home/mike/Projects/netbook-karmic/language-installer
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/mike/Projects/netbook-karmic/language-installer/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/language-installer
pkgpythondir = ${pythondir}/language-installer
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.6/dist-packages
pythondir = ${prefix}/lib/python2.6/dist-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = po
pyexec_in_files = language-installer.py.in
pyexec_files = $(pyexec_in_files:.in=)
bin_SCRIPTS = language-installer
sbin_SCRIPTS = install-langs install-langs-setup
pkghookdir = $(pkgdatadir)/pkg-hooks
pkghook_SCRIPTS = adobe-reader
uidir = $(pkgdatadir)/ui
ui_DATA = ui/language-installer.glade
ACLOCAL_AMFLAGS = -I m4
EXTRA_DIST = \
  $(pyexec_in_files) \
  config.rpath \
  po/language-installer.pot

DISTCLEANFILES = \
  $(desktop_DATA) \
  $(pyexec_files)

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p; \
	  then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \

=== debian/changelog ===
language-installer (33keremeos1) karmic; urgency=low

  * Revert debian/copyright change and missing autogen'ed files from v32.

 -- Steve Magoun <steve.magoun@canonical.com>  Wed, 10 Feb 2010 16:30:25 -0500

language-installer (33) karmic; urgency=low

  * debian/copyright: Convert to DEP5
  * install-langs-setup, language-installer.py.in: Note if we have any
    old-style hooks around.  If so, we should also show the waiting dialog.

 -- Michael Terry <michael.terry@canonical.com>  Wed, 10 Feb 2010 11:55:52 -0500

language-installer (32) karmic; urgency=low

  * po/POTFILES.skip: Skip the configure-generated python script.
    Fixes FTBFS.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 15 Oct 2009 08:57:29 -0400

language-installer (31) karmic; urgency=low

  * Version bump for karmic
  * Re-autogen with karmic's toolchain
  * debian/rules, debian/control: Use dh7, run autogen.sh
  * debian/copyright: Cleanup, update years, bump license to GPLv3

 -- Michael Terry <michael.terry@canonical.com>  Thu, 15 Oct 2009 08:37:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: language-installer
 Section: admin
 Priority: extra
-Maintainer: Kyle Nitzsche <kyle.nitzsche@canonical.com>
-Build-Depends: cdbs, debhelper (>= 5), python-dev
-Standards-Version: 3.7.2
+Maintainer: OEM Custom Solutions Engineering Group <solutions-group@lists.canonical.com>
+Build-Depends: cdbs, debhelper (>= 7), python-dev
+Standards-Version: 3.8.3
 Vcs-Browser: http://bazaar.launchpad.net/~oem-solutions-group/oem-netbook/language-installer
 Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~oem-solutions-group/oem-netbook/language-installer

=== debian/rules ===
#!/usr/bin/make -f 
%:
	dh $@

## language-installer 36

=== debian/changelog ===
language-installer (36) karmic; urgency=low

  * install-langs-setup: Support zh split into zh-hans and zh-hant.
    Only works with Karmic+

 -- Michael Terry <michael.terry@canonical.com>  Mon, 01 Mar 2010 10:14:22 -0500

language-installer (35) karmic; urgency=low

  * debian/control: Build-Depend on intltool, which is now required...

 -- Michael Terry <michael.terry@canonical.com>  Wed, 10 Feb 2010 16:30:19 -0500

language-installer (34) karmic; urgency=low

  * Rebuild with an autogen-ed source

 -- Michael Terry <michael.terry@canonical.com>  Wed, 10 Feb 2010 16:10:17 -0500

## language-installer 40.1

=== debian/changelog ===
language-installer (40.1) lucid; urgency=low

  * No-change rebuild to work around PPA buildd misbehavior

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 03 Jun 2010 17:51:27 -0400

language-installer (40) lucid; urgency=low

  * install-langs-setup: Rewrite the package-selection bit to be more
    intelligent about which packages to install based on the language
    that was selected.

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 03 Jun 2010 16:09:58 -0400

language-installer (39) lucid; urgency=low

  * install-langs-setup: Don't treat once-installed packages as installed
  * language-installer.py.in: Don't exit if locale is not known (on lucid)

 -- Michael Terry <michael.terry@canonical.com>  Tue, 09 Mar 2010 16:18:33 -0500

language-installer (38) lucid; urgency=low

  * language-installer: Only run once

 -- Michael Terry <michael.terry@canonical.com>  Tue, 09 Mar 2010 13:48:11 -0500

language-installer (37) lucid; urgency=low

  * Bump version for lucid

 -- Michael Terry <michael.terry@canonical.com>  Tue, 09 Mar 2010 13:26:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: language-installer
 Section: admin
 Priority: extra
-Maintainer: OEM Custom Solutions Engineering Group <solutions-group@lists.canonical.com>
-Build-Depends: cdbs, debhelper (>= 7), python-dev
+Maintainer: Canonical OEM Services <oem-services@canonical.com>
+Build-Depends: debhelper (>= 7), python-dev, intltool
 Standards-Version: 3.8.3
 Vcs-Browser: http://bazaar.launchpad.net/~oem-solutions-group/oem-netbook/language-installer
 Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~oem-solutions-group/oem-netbook/language-installer

## language-installer 43

=== debian/changelog ===
language-installer (43) lucid; urgency=low

  * language-installer.py.in: Add set_translation_domain call to GUI init so
    translations are picked-up (LP: #599973)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 16 Jul 2010 14:34:59 -0400

language-installer (42) lucid; urgency=low

  [ Martin Pitt ]
  * Port from deprecated libglade to GtkBuilder:
    - ui/language-installer.glade: Update to current format by loading/saving
      in the Glade UI builder, and rename to ui/language-installer.ui to
      follow current convention.
    - Makefile.am, po/POTFILES.in: Update for file renaming.
    - language-installer.py.in: Use gtk.Builder to load the UI instead of
      gtk.glade.
    - debian/control: Drop python-glade2 dependency.
  * language-installer.py.in: Use os.path.getsize() (which is a simple stat())
    instead of two subshells, a cat, and reading the entire files just to
    determine if they are nonempty.
  * language-installer.py.in: Use subprocess.call() instead of os.system();
    safer and avoids unnecessary subshells.
  * language-installer.py.in: Replace gnome.init() call with a
    gobject.option.OptionParser() call, and drop python-gnome 2 dependency.
    (libgnome is being deprecated.)
  * debian/rules: Call autogen.sh (and clean up) if configure is missing, to
    prevent folks from accidentally uploading empty packages.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 24 Jun 2010 18:13:55 -0400

language-installer (41) lucid; urgency=low

  * debian/control: Add python-gnome2 to Depends

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 23 Jun 2010 22:32:28 -0400

## language-installer 52

=== debian/changelog ===
language-installer (52) maverick; urgency=low

  * Move pkg hook script to shilin-config package

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 10 Feb 2011 13:53:58 +0800

language-installer (51) maverick; urgency=low

  * pkg hook script oem-baidu: Add oem-baidu to package list if LOCALECODE="zh_CN"

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 10 Feb 2011 00:31:59 +0800

language-installer (50) maverick; urgency=low

  * Bump version to 50 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 07 Jan 2011 23:43:49 +0800

language-installer (49) maverick; urgency=low

  * No changes to reupload

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 07 Jan 2011 23:37:53 +0800

language-installer (48) maverick; urgency=low

  * Add additional apt options to point to status file and preference parts.
    (LP: #689495) 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 07 Jan 2011 14:46:17 +0800

language-installer (47) maverick; urgency=low

  * no changes to reupload

 -- Hsin-Yi Chen (hychen) <hychen@canonical.com>  Mon, 06 Dec 2010 12:51:55 +0800

language-installer (46) maverick; urgency=low

  * no changes ot reupload

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Thu, 25 Nov 2010 13:47:05 +0800

language-installer (45) maverick; urgency=low

  * no changes to Maverick

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Wed, 24 Nov 2010 15:36:26 +0800

language-installer (44) lucid; urgency=low

  * language-installer:
  * install-langs-setup:
    install language packs by first language in LANGUAGE variable first.
    LANGUAGE variable has high priority than LANG. (LP: #590108)

 -- Hsin-Yi Chen (Tyson) <tyson.chen@canonical.com>  Tue, 14 Sep 2010 18:00:03 +0800

## language-installer 52common3

=== debian/changelog ===
language-installer (52common3) lucid; urgency=low

  * revert the previous state for now

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 10 Mar 2011 21:53:15 -0500

=== debian/control ===
--- 
+++ 
@@ -9,5 +9,5 @@
 
 Package: language-installer
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2, python-glade2
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-gtk2
 Description: Install languages from on-board debs

=== debian/rules ===
#!/usr/bin/make -f 
%: configure
	dh $@

configure:
	./autogen.sh
	rm -r autom4te.cache

## language-installer 54common0nanjing1

=== debian/changelog ===
language-installer (54common0nanjing1) natty; urgency=low

  * build for natty

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 25 Apr 2011 09:54:36 -0400

language-installer (53common3) maverick; urgency=low

  * revert to the previous state for now

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 10 Mar 2011 22:08:46 -0500
